#ifndef _NETINPUT_H
#define _NETINPUT_H

/*
** $VER: netinput.h 1.1 (14 Jul 1995)
**
** Definitions for AMIGA netinput
**
** (C) Copyright 1995 Marius Grger
**     All Rights Reserved
**
** $HISTORY:
**
** 14 Jul 1995 : 001.001 :  changed name
** 05 Mar 1995 : 001.000 :  created
**
*/

/*****************************************************************************/


#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif


/*****************************************************************************/


#define FO_SERVERNAME "amiganetinput"
#define FO_PROTOCOL "udp"


/*****************************************************************************/


struct foPacket
{
   ULONG Type;          /* see below */
   ULONG Flags;         /* see below */
};

   /* packet types */
#define FOPT_Event     1      /* forward an event (struct InputEvent follows) */
#define FOPT_Finish    1000   /* release connection */

   /* there are no flag bits defined yet */


#endif
